
Redmine - Defect #5123

NoMethodError when no issue params are submitted (undefined method `[]' for nil:NilClass)

2010-03-19 11:56 - Alisson Cavalcante Agiani

Status: Closed Start date: 2010-03-19

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.5   

Resolution: Fixed Affected version: 0.9.3

Description

This error occurs randomly when managing issues.

Error log is here:

http://pastie.org/876525

Environment:

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.6

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /SVNBIN/redmine

Environment               production

Database adapter          postgresql

Database schema version   20100221100219

I'm using Redmine 0.9.3

Associated revisions

Revision 3796 - 2010-06-20 05:24 - Eric Davis

Fix nil method error when no issue params are submitted. #5123

History

#1 - 2010-03-20 14:55 - Jean-Philippe Lang

- Assignee deleted (Eric Davis)

There is no issues parameter in your POST request.

How does it occur?

#2 - 2010-03-20 17:13 - Alisson Cavalcante Agiani

It occurs randomly when saving new issues...

#3 - 2010-06-20 05:17 - Eric Davis

- Status changed from New to Closed

- Assignee set to Eric Davis

- Target version set to 0.9.5

- % Done changed from 0 to 100

- Resolution set to Fixed

This bug is only present in the 0.9.x branch, the code in trunk has been refactored so it's not an issue there.  I've fixed this in 0.9-stable in r3796 so it

shouldn't happen in 0.9.5.
#4 - 2010-06-28 04:32 - Eric Davis

- Subject changed from NoMethodError (undefined method `[]' for nil:NilClass) to NoMethodError when no issue params are submitted (undefined

method `[]' for nil:NilClass)
